10DLC
Submit 10DLC campaign for review
Submit a draft campaign for carrier review. The campaign must be in draft status and its brand must be verified.
POST
Submit 10DLC campaign for review
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Submit a draft campaign for carrier review. The campaign must be in draft status and its brand must be verified.
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/submit \
--header 'Authorization: Bearer <token>'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/submit \
--header 'Authorization: Bearer <token>'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}